Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms.websphere
Class WebsphereJmsConnector

    java.lang.Object
      org.mule.transport.AbstractConnector
          org.mule.transport.jms.JmsConnector
              org.mule.transport.jms.websphere.WebsphereJmsConnector

All Implemented Interfaces:
  EventListener, ExceptionListener, javax.resource.spi.work.WorkListener, Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, NamedObject, Connectable, Connector

    public class WebsphereJmsConnector

extends JmsConnector

Websphere-specific JMS connector.

Field Summary
`static String` | `DEFAULT_XA_RECEIVER_CLASS`

Fields inherited from class org.mule.transport.jms.JmsConnector
`JMS, password, REDELIVERY_FAIL_ON_FIRST, REDELIVERY_IGNORE, username`

Fields inherited from class org.mule.transport.AbstractConnector
`connected, createMultipleTransactedReceivers, DEFAULT_NUM_CONCURRENT_TX_RECEIVERS, dispatcherFactory, dispatcherPoolFactory, dispatchers, initialStateStopped, lifecycleManager, logger, muleContext, muleMessageFactory, name, numberOfConcurrentTransactedReceivers, PROPERTY_POLLING_FREQUENCY, receivers, requesterFactory, requesters, serviceDescriptor, serviceOverrides, sessionHandler, startOnConnect`

Fields inherited from interface org.mule.api.transport.Connector
`INT_VALUE_NOT_SET`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`WebsphereJmsConnector(MuleContext context)` Constructs a new WebsphereJmsConnector.

Method Summary

Methods inherited from class org.mule.transport.jms.JmsConnector
`close, close, close, close, close, closeQuietly, closeQuietly, closeQuietly, closeQuietly, closeQuietly, closeSessionIfNoTransactionActive, createConnection, createConnectionFactory, createJmsSupport, doConnect, doDisconnect, doDispose, doInitialise, doStart, doStop, getAcknowledgementMode, getClientId, getConnection, getConnectionFactory, getConnectionFactoryJndiName, getConnectionFactoryProperties, getDefaultConnectionFactory, getJmsSupport, getJndiContext, getJndiInitialFactory, getJndiProviderProperties, getJndiProviderUrl, getMaxRedelivery, getNumberOfConsumers, getPassword, getProtocol, getReceiverKey, getRedeliveryHandlerFactory, getReplyToHandler, getSameRMOverrideValue, getSession, getSession, getSessionFromTransaction, getSpecification, getTopicResolver, getUsername, initJndiContext, isCacheJmsSessions, isDisableTemporaryReplyToDestinations, isDurable, isEagerConsumer, isEmbeddedMode, isForceJndiDestinations, isHonorQosHeaders, isJndiDestinations, isNoLocal, isPersistentDelivery, isResponseEnabled, isReturnOriginalMessageAsReply, lookupFromJndi, onException, preProcessMessage, setAcknowledgementMode, setCacheJmsSessions, setClientId, setConnection, setConnectionFactory, setConnectionFactoryJndiName, setConnectionFactoryProperties, setDisableTemporaryReplyToDestinations, setDurable, setEagerConsumer, setEmbeddedMode, setForceJndiDestinations, setHonorQosHeaders, setJmsSupport, setJndiContext, setJndiDestinations, setJndiInitialFactory, setJndiProviderProperties, setJndiProviderUrl, setMaxRedelivery, setNoLocal, setNumberOfConsumers, setPassword, setPersistentDelivery, setRedeliveryHandlerFactory, setReturnOriginalMessageAsReply, setSameRMOverrideValue, setSpecification, setTopicResolver, setUsername, supportsProperty`

Methods inherited from class org.mule.transport.AbstractConnector
`clearDispatchers, clearRequesters, configureDispatcherPool, connect, createDispatcherMessageProcessor, createMuleMessageFactory, createReceiver, createScheduler, destroyReceiver, disconnect, dispose, disposeReceivers, disposeWorkManagers, doUnregisterListener, exceptionThrown, fireNotification, getConnectEventId, getConnectionDescription, getDefaultExchangePattern, getDefaultInboundTransformers, getDefaultOutboundTransformers, getDefaultResponseTransformers, getDispatcherFactory, getDispatcherPoolFactory, getDispatcherThreadingProfile, getDispatcherWorkManager, getInboundExchangePatterns, getLifecycleState, getMaxDispatchersActive, getMaxRequestersActive, getMaxTotalDispatchers, getMuleContext, getMuleMessageFactory, getName, getNumberOfConcurrentTransactedReceivers, getOutboundExchangePatterns, getOutputStream, getReceiver, getReceivers, getReceivers, getReceiverThreadingProfile, getReceiverWorkManager, getRequesterFactory, getRequesterThreadingProfile, getRequesterWorkManager, getRetryPolicyTemplate, getScheduler, getServiceDescriptor, getServiceOverrides, getSessionHandler, getSupportedProtocols, handleException, handleWorkException, initFromServiceDescriptor, initialise, initialiseFromUrl, initWorkManagers, isConnected, isCreateMultipleTransactedReceivers, isDisposed, isEnableMessageEvents, isInitialised, isInitialStateStopped, isStarted, isStopped, isValidateConnections, lookupReceiver, registerListener, registerSupportedMetaProtocol, registerSupportedProtocol, registerSupportedProtocolWithoutPrefix, request, request, setConnected, setCreateMultipleTransactedReceivers, setDispatcherFactory, setDispatcherPoolFactory, setDispatcherPoolMaxWait, setDispatcherPoolWhenExhaustedAction, setDispatcherThreadingProfile, setDynamicNotification, setInitialStateStopped, setMaxDispatchersActive, setMaxRequestersActive, setName, setNumberOfConcurrentTransactedReceivers, setReceiverThreadingProfile, setRequesterFactory, setRequesterPoolMaxWait, setRequesterPoolWhenExhaustedAction, setRequesterThreadingProfile, setRetryPolicyTemplate, setServiceOverrides, setSessionHandler, setSupportedProtocols, setupDispatchReturn, setupRequestReturn, setValidateConnections, shutdownScheduler, start, startAfterConnect, stop, supportsProtocol, toString, unregisterListener, unregisterSupportedProtocol, updateCachedNotificationHandler, validateConnection, workAccepted, workCompleted, workRejected, workStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_XA_RECEIVER_CLASS

    public static final String DEFAULT_XA_RECEIVER_CLASS

Constructor Detail

### WebsphereJmsConnector

    public WebsphereJmsConnector(MuleContext context)

  Constructs a new WebsphereJmsConnector.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.